classification
Title: Misc/SpecialBuilds.txt is out of date
Type: Stage: resolved
Components: Documentation Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, belopolsky, docs@python, eric.araujo
Priority: normal Keywords:

Created on 2010-09-21 15:57 by belopolsky, last changed 2015-02-18 17:37 by belopolsky. This issue is now closed.

Messages (4)
msg117076 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-09-21 15:57
It looks like Misc/SpecialBuilds.txt has not been updated since 2.4.

This file is referenced from C-API documentation [1], but is not accessible as a hyperlink.

Some of the recommendations in this file are out of date, in particular those that recommend setting make variables where a configure switch is available.

I believe it would be best to retire Misc/SpecialBuilds.txt and move still relevant sections to proper .rst files.


[1] http://docs.python.org/dev/py3k/c-api/intro.html#debugging-builds
msg119690 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-10-27 11:18
Agreed the file needs updating.  Can you do it?

I’m not sure the contents of this file should be moved under Doc.  There is no build/installation guide on docs.python.org, probably because most users don’t build themselves.  Having advanced docs under Misc with a reference in the README seems okay to me.
msg236182 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-02-18 16:22
This file has been updated with the most recent revision being r90052.  Can we close this as out of date?
msg236184 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2015-02-18 17:37
Actually, the real improvements came in changeset 67177:01714efdc6cf.  Closing.
History
Date User Action Args
2015-02-18 17:37:49belopolskysetstatus: open -> closed
resolution: out of date
messages: + msg236184

stage: resolved
2015-02-18 16:22:14BreamoreBoysetnosy: + BreamoreBoy
messages: + msg236182
2010-10-27 11:19:00eric.araujosetnosy: + eric.araujo
messages: + msg119690
2010-09-21 15:57:45belopolskycreate